diff --git a/changelog b/changelog
index 7a65066..b7c733e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110813 tpd src/axiom-website/patches.html 20110813.01.tpd.patch
+20110813 tpd src/input/Makefile respect the BUILD=fast variable value
 20110812 tpd src/axiom-website/patches.html 20110812.02.tpd.patch
 20110812 tpd src/interp/compiler.lisp treeshake compiler
 20110812 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1c29ddd..356f027 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3584,5 +3584,7 @@ books/bookvol9 treeshake compiler<br/>
 src/input/ffieldbug.input added<br/>
 <a href="patches/20110812.02.tpd.patch">20110812.02.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20110813.01.tpd.patch">20110813.01.tpd.patch</a>
+src/input/Makefile respect the BUILD=fast variable value<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index bbd30bb..3c7b96a 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -83,10 +83,16 @@ ${DOC}/axiom.sty:
 ${DOC}/%.input.dvi: ${IN}/%.input.pamphlet ${DOC}/axiom.sty
 	@ echo generic 14 making ${DOC}/$*.input.dvi from \
                ${IN}/$*.input.pamphlet
-	@ (cd ${DOC} ; \
+	@ if [ "${BUILD}" = "full" ] ; then \
+	( cd ${DOC} ; \
 	cp ${IN}/$*.input.pamphlet ${DOC} ; \
 	latex $*.input.pamphlet ; \
-	rm -f ${DOC}/$*.input.pamphlet )
+	dvipdf $*.input.dvi ; \
+	rm -f ${DOC}/$*.input.pamphlet ; \
+	rm -f ${DOC}/$*.input.dvi ; \
+	rm -f ${DOC}/$*.input.aux ; \
+	rm -f ${DOC}/$*.input.log ; \
+	rm -f ${DOC}/$*.input.toc ) ; fi
 
 ${DOC}/%.as.dvi: ${IN}/%.as.pamphlet 
 	@ echo generic 15 making ${DOC}/$*.as.dvi from ${IN}/$*.as.pamphlet
